<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.modules.ldt.billrecord.mapper.BillRecordMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="billRecordResultMap" type="org.springblade.modules.ldt.billrecord.entity.BillRecord">
        <result column="id" property="id"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="user_id" property="userId"/>
        <result column="shop_id" property="shopId"/>
        <result column="member_id" property="memberId"/>
        <result column="price" property="price"/>
        <result column="type" property="type"/>
        <result column="unique_order_no" property="uniqueOrderNo"/>
        <result column="channel" property="channel"/>
        <result column="pay_way" property="payWay"/>
        <result column="channel_order_id" property="channelOrderId"/>
        <result column="pay_amount" property="payAmount"/>
        <result column="third_pay_status" property="thirdPayStatus"/>
        <result column="real_pay_amount" property="realPayAmount"/>
        <result column="parent_merchant_no" property="parentMerchantNo"/>
        <result column="merchant_no" property="merchantNo"/>
        <result column="pay_success_date" property="paySuccessDate"/>
        <result column="payer_info" property="payerInfo"/>
        <result column="pay_status" property="payStatus"/>
        <result column="platform_id" property="platformId"/>
    </resultMap>


    <select id="selectBillRecordPage" resultMap="billRecordResultMap">
        select * from ldt_bill_record where is_deleted = 0
    </select>

</mapper>
